> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create partner terms

> Creates new partner terms including addresses and payment information. Requires admin privileges.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /v1/companies/me/partners/{id}/terms
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /v1/companies/me/partners/{id}/terms:
    post:
      tags:
        - Partner
      summary: Create partner terms
      description: >-
        Creates new partner terms including addresses and payment information.
        Requires admin privileges.
      parameters:
        - description: Partner ID
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
        description: Terms creation data
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
          description: partner terms created successfully
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid request body or validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: failed to create partner terms
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - LoginAuth: []
components:
  schemas:
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    LoginAuth:
      scheme: basic
      type: http

````